package nianioTest.nianio.types;

import nianio.AppLogicExtCmd;
import nianio.AppState;
import nianio.SelectFileCmd;
import nianio.genrap.GenrapPluginEvent;

public interface AppLogicCommandInvokerIntf {
	public AppState run(AppState state, AppLogicExtCmd.MMIntf deliverer);

	public AppState close(AppState state, AppLogicExtCmd.MMIntf deliverer);

	public AppState setPdfOutput(AppState state, AppLogicExtCmd.MMIntf deliverer);

	public AppState setHtmlOutput(AppState state,
			AppLogicExtCmd.MMIntf deliverer);

	public AppState setXlsOutput(AppState state, AppLogicExtCmd.MMIntf deliverer);

	public AppState generateRequest(AppState state,
			AppLogicExtCmd.MMIntf deliverer);

	public AppState reportGenerated(AppState state, GenrapPluginEvent value,
			AppLogicExtCmd.MMIntf deliverer);

	public AppState reportFileCmd(AppState state, SelectFileCmd value,
			AppLogicExtCmd.MMIntf deliverer);

	public AppState xmlFileCmd(AppState state, SelectFileCmd value,
			AppLogicExtCmd.MMIntf deliverer);

	public AppState xsdFileCmd(AppState state, SelectFileCmd value,
			AppLogicExtCmd.MMIntf deliverer);

	public AppState outputFileCmd(AppState state, SelectFileCmd value,
			AppLogicExtCmd.MMIntf deliverer);

	public AppState messageDialogClosed(AppState state,
			AppLogicExtCmd.MMIntf deliverer, String key);
}
