package nianioTest.nianio.types;

import nianio.ExternalCommand;
import nianio.ExternalCommands;
import ocean.common.Err;

public class ExternalCommandAcc {
	private ExternalCommands resOrNull = ExternalCommands.EMPTY;

	private class MyMM implements ExternalCommand.MM {
		public void invoke(ExternalCommand cmd) {
			doInvoke(cmd);
		}
	}

	public ExternalCommand.MMIntf getMMIntf() {
		return ExternalCommand.MMConv.asIntf(new MyMM());
	}

	public ExternalCommand.MM getMM() {
		return new MyMM();
	}

	public ExternalCommands getResult() {
		ExternalCommands res = resOrNull;
		resOrNull = null;
		Err.ensure(res != null);
		return res;
	}

	private void doInvoke(ExternalCommand cmd) {
		ExternalCommands res = resOrNull;
		Err.ensure(res != null);
		res = res.add(cmd);
		resOrNull = res;
	}
}
