package nianioTest;

import nianio.AppCommand;
import nianio.ExternalCommand;
import ocean.common.AwtQueue;
import ocean.common.Proc;

public class AppPlugin {

	private final AppInvoker invoker;

	private AppPlugin(ExternalCommand.MM deliverer) {
		this.invoker = AppInvoker.create(deliverer);
	}

	public static AppPlugin create(ExternalCommand.MM deliverer) {
		return new AppPlugin(deliverer);
	}

	public void post(final AppCommand cmd) {
		AwtQueue.post(new Proc() {
			public void run() {
				invoker.invoke(cmd);
			}
		});
	}
}
