package nianioTest.complib.controls;

import genrap.ui.framework.CompHandle;
import genrap.ui.framework.Layout;
import genrap.ui.framework.types.ImmOption;

public class Panel {
	private final genrap.ui.framework.Panel panel;

	private Panel(Layout layout) {
		this.panel = genrap.ui.framework.Panel.create(layout);
	}

	public static Panel create(Layout layout) {
		return new Panel(layout);
	}

	public void add(CompHandle comp) {
		panel.add(comp, ImmOption.createNone());
	}

	public CompHandle getHandle() {
		return panel.getHandle();
	}
}
