package nianioTest.nianio;

import nianio.AppState;
import nianio.MsgDialogs;
import nianio.SelectFileState;
import nianio.Status;
import nianio.genrap.OutputKind;
import nianioTest.nianio.impl.AppNianioImpl;
import nianioTest.nianio.types.AppNianioIntf;

public class NianioFactory {
	private static final SelectFileState INIT_SELECT_FILE = SelectFileState.create(
			"", null);

	public static AppState createAppState() {
		return AppState.create(INIT_SELECT_FILE, INIT_SELECT_FILE,
				INIT_SELECT_FILE, INIT_SELECT_FILE, OutputKind.createPdf(),
				Status.createReady(), MsgDialogs.EMPTY);
	}

	public static AppNianioIntf createAppNianio() {
		return new AppNianioImpl();
	}
}
